Bug 817924 - Can't edit a Drift Definition Template ...IE8 and FF10
Summary: Can't edit a Drift Definition Template ...IE8 and FF10
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI   
(Show other bugs)
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
high vote
Target Milestone: ---
: JON 3.1.1
Assignee: RHQ Project Maintainer
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: rhq-uxd
TreeView+ depends on / blocked
 
Reported: 2012-05-01 19:55 UTC by Mike Foley
Modified: 2013-09-03 15:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 15:05:31 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike Foley 2012-05-01 19:55:25 UTC
Description of problem:  Can't enter a Drift Definition Template ...IE8 and FF10



Steps to Reproduce:
1.  try to edit a Drift Definition Template 
2.  try to change an interval ... or edit any value
3.
  
Actual results:  can't


Expected results:  can


Additional info:

Comment 1 Mike Foley 2012-05-01 19:57:09 UTC
i meant to write 'edit' not 'enter' in the description above

Comment 2 Mike Foley 2012-05-02 15:33:27 UTC
QE ticket added to add UI automation here to detect this regression next time 

https://engineering.redhat.com/trac/jon/ticket/126

Comment 3 Mike Foley 2012-05-08 18:29:59 UTC
usability enhancement needed here to indicate that this is not editable.

Comment 4 John Sanda 2012-05-08 19:19:57 UTC
Some relevant questions:

* Was it a plugin-defined template or a user-defined template? 
* Are you trying to edit the template as the same user who created it? 
* What button/link did you click to edit the template? (You can get to the details by clicking either the template name or the edit icon)
* What was the resource type?


We do not support editing plugin-defined templates. We do however support editing user-defined templates. When you edit a template, changes are only propagated to attached definitions. A definition that is pinned to a template is by definition attached to that template. An unpinned definition is by default attached to the template from which it is created; however you have the option to detach it. Note that deletes are propagated according to the same rules as well.

Comment 5 Mike Foley 2012-05-08 19:33:42 UTC
per BZ triage ... crouch, loleary, foley

Comment 6 Jay Shaughnessy 2012-05-11 16:35:02 UTC
This seems to be working fine.  I suspect they tried to edit a plugin-defined template.  As John says above, that's not allowed.  Only editing user-defined templates is allowed.

I suggest this be closed.

Comment 7 John Sanda 2012-08-02 18:52:21 UTC
JON 3.1.1 ER1 build is available. Moving to ON_QA.

https://brewweb.devel.redhat.com/buildinfo?buildID=226942

Comment 8 Armine Hovsepyan 2012-08-06 09:08:19 UTC
verified.
Plugin-defined templates are not editable wile the user-defined one are fully editable.

Comment 9 Heiko W. Rupp 2013-09-03 15:05:31 UTC
Bulk closing of old issues in VERIFIED state.


Note You need to log in before you can comment on or make changes to this bug.